Edit on GitHub

Server Requirements

For production we highly recommend a *nix based system.

Webserver

  • Apache >= 2.2
    • mod_rewrite
    • .htaccess support (AllowOverride All)
  • Nginx

PHP >= 5.6

Both mod_php and FCGI (FPM) are supported.

Required Settings and Modules & Extensions

  • imagick (if not installed gd is used instead, but with less supported image types)
  • curl (required if Google APIs are used)
  • phpredis (recommended cache backend adapter)

MySQL / MariaDB >= 5.5.3

Features

  • InnoDB / XtraDB storage engine
  • MyISAM storage engine (only if InnoDB full-text indexes are not supported)
  • MEMORY storage engine

Permissions

All permissions on database level, specifically:

  • Select, Insert, Update, Delete table data
  • Create tables
  • Drop tables
  • Alter tables
  • Manage indexes
  • Create temp-tables
  • Lock tables
  • Execute
  • Create view
  • Show view

Additional Server Software

  • FFMPEG (>= 3)
  • Ghostscript (>= 9.16)
  • LibreOffice (>= 4.3)
  • wkhtmltoimage / wkhtmltopdf (>= 0.12)
  • xvfb
  • html2text (mbayer)
  • timeout (GNU core utils)
  • pdftotext (poppler utils)
  • inkscape
  • zopflipng
  • pngcrush
  • jpegoptim
  • pngout
  • advpng
  • cjpeg (MozJPEG)
  • exiftool

Please visit Additional Tools Installation for additional information.

Browser Requirements

Pimcore supports always the latest 2 versions of all 4 major browsers at the time of a release.

  • Google Chrome (Recommended)
  • Mozilla Firefox
  • Microsoft Internet Explorer / Edge
  • Apple Safari